### org.jfree.layouting.normalizer.content

# Class PageBreakException

- `Exception`
- - `org.jfree.layouting.normalizer.content.PageBreakException`

`public class PageBreakException`
`extends Exception`

A pagebreak exception is a cheap out-of-order-return (some kind of GoTo, but less chaotic).

Author:
  Thomas Morgner

  ## Constructor Summary

  `PageBreakException(CSSValue pageName, PseudoPage[] pseudoPages, int pageCount)`
    Constructs a new exception with `null` as its detail message.

  ## Method Summary

  `int`

  `getPageCount()`

  `CSSValue`

  `getPageName()`

  `PseudoPage[]`

  `getPseudoPages()`

## Constructor Details

### PageBreakException

    public PageBreakException(CSSValue pageName,
                              PseudoPage[] pseudoPages,
                              int pageCount)

> Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `PageBreakException`.

## Method Details

### getPageCount

    public int getPageCount()

### getPageName

    public CSSValue getPageName()

### getPseudoPages

    public PseudoPage[] getPseudoPages()